Bulk Update Integration Source Relationship Status
curl --request POST \
--url https://config.heyhumm.ai/api/integration-sources/relationships/bulk-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"relationship_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"score": 123,
"evidence": {}
}
'import requests
url = "https://config.heyhumm.ai/api/integration-sources/relationships/bulk-status"
payload = {
"relationship_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"score": 123,
"evidence": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
relationship_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
score: 123,
evidence: {}
})
};
fetch('https://config.heyhumm.ai/api/integration-sources/relationships/bulk-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bulk Update Integration Source Relationship Status
Bulk update status (and optional score/evidence) for multiple relationships.
POST
/
api
/
integration-sources
/
relationships
/
bulk-status
Bulk Update Integration Source Relationship Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
Payload for bulk relationship status updates.
List of relationship IDs to update
Minimum array length:
1New status to apply to each relationship
Available options:
SUGGESTED, APPROVED, REJECTED Optional confidence score to apply to each relationship
Optional evidence payload to apply to each relationship
Response
Successful Response
The response is of type Response Bulk Update Integration Source Relationship Status Api Integration Sources Relationships Bulk Status Post · object.